/* Leader Follower Arms
 
 modified 25 Aug 2021
 by JD Kelly

 This sketch is used to control the follower leg with the leader leg
*/

#include <Servo.h>

Servo servo1;                          // create servo object to control the first servo
Servo servo2;                          // create servo object to control the second servo

//change values to update initial and end servo positions
int startServoPos = 0;                  //set initial position between 0 and 180
int endServoPos = 180;                  //set end position between 0 and 180

//change values to update initial and end potentiometer positions
int startPotPos = 0;                    //set initial position between 0 and 1023
int endPotPos = 1023;                   //set end position between 0 and 1023

int potpin1 = 0;                        // analog pin used to connect to the first potentiometer
int potpin2 = 1;                        // analog pin used to connect to the second potentiometer

void setup() {
  //Attach servo pins on 9 and 10
  servo1.attach(9);                     // attaches the first servo on pin 9 to the servo object
  servo2.attach(10);                    // attaches the second servo on pin 10 to the servo object
}

void loop() {
  //read from analog pins
  int val1 = analogRead(potpin1);        // reads the value of the first potentiometer (value between 0 and 1023)
  int val2 = analogRead(potpin2);        // reads the value of the second potentiometer (value between 0 and 1023)

  //map potentiometer values to servo range
  int pos1 = map(val1, startPotPos, endPotPos, startServoPos, endServoPos);
  int pos2 = map(val2, startPotPos, endPotPos, startServoPos, endServoPos);

  servo1.write(pos1);                    // tell servo1 to go to position in variable 'pos'
  servo2.write(pos2);                    // tell servo2 to go to position in variable 'pos'
  
  delay(15);                            // waits for the servos to get there
}
